Accounts
List Pinterest boards
Lists boards owned by a connected Pinterest account. Read-only and read-write API keys are accepted.
Authorization
bearerAuth AuthorizationBearer <token>
PostZen API key.
In: header
Path Parameters
accountId*string
PostZen id of a connected Pinterest account.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/accounts/string/pinterest-boards"{ "boards": [ { "id": "123456789012345678", "name": "Product inspiration", "description": "Ideas for upcoming launches", "privacy": "PUBLIC", "pinCount": 42 } ]}{ "error": "Unauthorized"}{ "error": "API key requires read_write permission"}{ "error": "Not found"}{ "error": "not_connected"}{ "error": "rate_limited", "retryAfter": 30}{ "error": "Failed to create post"}{ "error": "request_failed"}Disconnect an account DELETE
Disconnects and removes a connected social account. Pending scheduled, queued, and publishing targets for that account are canceled. This endpoint requires a read-write API key.
Create Pinterest board POST
Creates a board for the connected Pinterest account. This endpoint requires a read-write API key.